Macaulay2 » Documentation
Packages » NCAlgebra :: isWellDefined(NCRingMap)
next | previous | forward | backward | up | index | toc

# isWellDefined(NCRingMap) -- Determines if an NCRingMap is well-defined.

- Function: isWellDefined
- Usage:
    `isWellDefined f`
- Inputs:
  - f, an instance of the type NCRingMap,
- Outputs:
  - a Boolean value,

## Description

Returns true if the given NCRingMap evaluates as 0 on the defining relations of the source.

    i1 : A = skewPolynomialRing(QQ,(-1)_QQ,{w,x,y,z})
    --Calling Bergman for NCGB calculation.
    Complete!

    o1 = A

    o1 : NCQuotientRing

    i2 : B = QQ{w,x,y,z}/ncIdeal{w*x+x*w,w*y+y*w,x*y+y*x}
    --Calling Bergman for NCGB calculation.
    Complete!

    o2 = B

    o2 : NCQuotientRing

    i3 : f = ncMap(B,A,gens B)

    o3 = NCRingMap B <--- A

    o3 : NCRingMap

    i4 : isWellDefined f

    o4 = false

    i5 : C = QQ{a,b,c}

    o5 = C

    o5 : NCPolynomialRing

    i6 : g = ncMap(C,A,{a^3,b^2,a+b,a-b})

    o6 = NCRingMap C <--- A

    o6 : NCRingMap

    i7 : isWellDefined g

    o7 = false

## Ways to use this method:

- isWellDefined(NCRingMap) -- Determines if an NCRingMap is well-defined.

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:3072:0.